var libFS = require("fs");
fcf.module({
  name: "fcf:NTools/fs.js",
  dependencies: [],
  module: function(){
    var Namespace = fcf.prepareObject(fcf, "packages/fcf/NTools");

    class fs {
      constructor(){
      }

      prepareDirectorySync(a_dir){
        a_dir = fcf.getPath(a_dir);
        if (libFS.existsSync(a_dir))
          return;
        libFS.mkdirSync(a_dir, { recursive: true });
      }
    };

    Namespace.fs = new fs();

    return Namespace.fs;
  }
});
